package com.chenyang.nse.bussiness.webtools.entity.vo;

public class SynonymsVO {
   private String synonymsname;
   private String type;
   private String owner;
   private String object;
   private String dblink;

   public String getSynonymsname() {
      return this.synonymsname;
   }

   public String getType() {
      return this.type;
   }

   public String getOwner() {
      return this.owner;
   }

   public String getObject() {
      return this.object;
   }

   public String getDblink() {
      return this.dblink;
   }

   public void setSynonymsname(final String synonymsname) {
      this.synonymsname = synonymsname;
   }

   public void setType(final String type) {
      this.type = type;
   }

   public void setOwner(final String owner) {
      this.owner = owner;
   }

   public void setObject(final String object) {
      this.object = object;
   }

   public void setDblink(final String dblink) {
      this.dblink = dblink;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SynonymsVO)) {
         return false;
      } else {
         SynonymsVO other = (SynonymsVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$synonymsname = this.getSynonymsname();
            Object other$synonymsname = other.getSynonymsname();
            if (this$synonymsname == null) {
               if (other$synonymsname != null) {
                  return false;
               }
            } else if (!this$synonymsname.equals(other$synonymsname)) {
               return false;
            }

            Object this$type = this.getType();
            Object other$type = other.getType();
            if (this$type == null) {
               if (other$type != null) {
                  return false;
               }
            } else if (!this$type.equals(other$type)) {
               return false;
            }

            Object this$owner = this.getOwner();
            Object other$owner = other.getOwner();
            if (this$owner == null) {
               if (other$owner != null) {
                  return false;
               }
            } else if (!this$owner.equals(other$owner)) {
               return false;
            }

            Object this$object = this.getObject();
            Object other$object = other.getObject();
            if (this$object == null) {
               if (other$object != null) {
                  return false;
               }
            } else if (!this$object.equals(other$object)) {
               return false;
            }

            Object this$dblink = this.getDblink();
            Object other$dblink = other.getDblink();
            if (this$dblink == null) {
               if (other$dblink != null) {
                  return false;
               }
            } else if (!this$dblink.equals(other$dblink)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof SynonymsVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $synonymsname = this.getSynonymsname();
      result = result * 59 + ($synonymsname == null ? 43 : $synonymsname.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $owner = this.getOwner();
      result = result * 59 + ($owner == null ? 43 : $owner.hashCode());
      Object $object = this.getObject();
      result = result * 59 + ($object == null ? 43 : $object.hashCode());
      Object $dblink = this.getDblink();
      result = result * 59 + ($dblink == null ? 43 : $dblink.hashCode());
      return result;
   }

   public String toString() {
      return "SynonymsVO(synonymsname=" + this.getSynonymsname() + ", type=" + this.getType() + ", owner=" + this.getOwner() + ", object=" + this.getObject() + ", dblink=" + this.getDblink() + ")";
   }
}
